using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.OleDb;

public partial class _Default : System.Web.UI.Page
{
 

/// <summary>   
///    
/// </summary>   
/// <remarks></remarks>   
private void PopulateSliderGrid()
{

	DataTable dtSource = new DataTable();
	DataRow drNew;

	dtSource.Columns.Add("DueDate");
	dtSource.Columns.Add("Action");
	dtSource.Columns.Add("Description");
	dtSource.Columns.Add("Customer");
	dtSource.Columns.Add("Contact");
	dtSource.Columns.Add("SalesRep");
	dtSource.Columns.Add("Status");

	for (int iCount = 1; iCount <= 20; iCount++) {

		drNew = dtSource.NewRow();
		drNew["DueDate"] = "10/21/2009";
		drNew["Action"] = "Submit Proposal";
		drNew["Description"] = "Contact / Contract follow up";
		drNew["Customer"] = "Customer Name Two";
		drNew["Contact"] = "Contact Name";
		drNew["SalesRep"] = "Sales Rep Name";
		drNew["Status"] = "Message Left";
		dtSource.Rows.Add(drNew);

	}

	grdSliderPOC.MasterTableView.DataSource = dtSource.DefaultView;

}

    protected void grdSliderPOC_NeedDataSource1(object source, GridNeedDataSourceEventArgs e)
    {
        PopulateSliderGrid();
    }
}
